package com.menagerie.bakers.model.africa

import com.menagerie.bakers.model.Recipe
import com.menagerie.bakers.model.TagType
import kotlin.time.Duration
import bakersmenagerie.composeapp.generated.resources.Res
import bakersmenagerie.composeapp.generated.resources.kuku_no_nazi
import com.menagerie.bakers.model.TTT

val kenyanList = listOf(
    Recipe(
        title = "Kuku Na Nazi",
        description = "Kenyan coconut chicken curry with aromatic spices and a creamy coconut milk and heavy cream sauce.",
        prepTime = Duration.parse("30m"),
        cookTime = Duration.parse("45m"),
        servings = "Serves 4-6",
        ingredients = listOf(
            "3 Cloves Garlic",
            "2 Lemons, divided",
            "2.5 Tsp Diamond Crystal or 1.25 Tsp Morton Kosher Salt, divided, plus more",
            "0.25 Tsp Kashmiri Chile Powder",
            "2.5 lbs Chicken Thighs, Skinless, Boneless",
            "1 medium Onions",
            "1 Roma Tomatoes",
            "2 Green Thai Chiles",
            "0.25 Cups Cilantro Leaves",
            "2 Tbsp Extra-Virgin Olive Oil",
            "0.25 Tsp Ground Coriander",
            "0.25 Tsp Ground Cumin",
            "0.125 Tsp Ground Turmeric",
            "13.5 Oz Unsweetened Coconut Milk",
            "0.25 Cups Heavy Cream",
            "Basmati Rice and/or Crusty Bread (for serving)"
        ),
        instructions = listOf(

            "HEADER-Marinade",
            "Finely grate Garlic [3 Cloves]. Cut Lemons [1] in half and squeeze juice through a fine-mesh sieve. Mix in Salt [1 Tsp] and Kashmiri Chile Powder [0.25 Tsp]. ",
            "Add Chicken Thighs [2.5 lb] and toss to evenly coat. Cover bowl and let sit at room temperature 30 minutes.",

            "HEADER-Curry",
            "Coarsely chop Onions [1], Tomatoes [1], Green Thai Chiles [2], and Cilantro Leaves [0.25 Cups]. Transfer to a blender or food processor and blend or process until smooth.",
            "Heat broiler. Heat Extra-Virgin Olive Oil [2 Tbsp] in a high-sided skillet over medium. Add Ground Coriander [0.25 Tsp], Ground Cumin [0.25 Tsp], and Ground Turmeric [0.125 Tsp]. Cook, stirring, until fragrant, about 1 minute.",
            "Pour in purée and add Salt [1.5 Tsp Diamond Crystal or 0.75 Tsp Morton]. Stir to combine and cook, stirring occasionally, until raw onion smell subsides and curry is paste-like in consistency, 15–20 minutes.",

            "HEADER-Chicken",
            "Arrange Chicken on a foil-lined rimmed baking sheet and broil until cooked through, charred in spots, and a thermometer inserted into the thickest parts registers 165°F (74°C), 17–20 minutes.",
            "While the Chicken is cooking, shake Coconut Milk [1 13.5-oz. can] to ensure coconut cream is incorporated, then add Coconut Milk to curry and stir well to combine. Curry should be pale yellow.",
            "Bring to a gentle simmer and cook until warm and slightly thickened, 5–10 minutes.",
            "Once Chicken is finished, add Chicken and any juices accumulated on baking sheet to curry and reduce heat to low; mix well to combine. Stirring constantly to prevent curry from breaking, dribble in Heavy Cream [0.25 Cups]. Taste and season with more Salt if needed.",
            "Cut remaining Lemon into wedges. Serve Kuku Na Nazi with Basmati Rice and/or some Crusty Bread and Lemon wedges for squeezing over. Top with additional Cilantro to taste."
        ),
        tags = mapOf(
            "Kenyan" to TagType.CUISINE,
            "African" to TagType.CUISINE,
            "Entree" to TagType.COURSE,
            "Curry" to TagType.COURSE,
            "Simmered" to TagType.TECHNIQUE,
            "Broiled" to TagType.TECHNIQUE,
            "Savory" to TagType.FLAVOUR,
            "Spicy" to TagType.FLAVOUR,
            "Tangy" to TagType.FLAVOUR,
            "Creamy" to TagType.FLAVOUR,
            "Carnivorous" to TagType.PROTEIN,
            "Garlic" to TagType.FLAVOUR,
            "Herby" to TagType.FLAVOUR,
        ),
        image = Res.drawable.kuku_no_nazi,
        ttt = TTT.TESTED
    )
)